import { HPCCElement } from "./element";
export declare class Directive<_T> {
}
export declare class Ref<T = any> extends Directive<T> {
    propertyName: keyof T & string;
    constructor(propertyName: keyof T & string);
}
export interface HTMLTemplate<T extends HPCCElement = HPCCElement> {
    html: string;
    directives: Directive<T>[];
}
export declare function html<T extends HPCCElement>(strings: TemplateStringsArray, ...values: Directive<T>[]): HTMLTemplate<T>;
export declare function ref<T = any>(propertyName: keyof T & string): Ref<T>;
//# sourceMappingURL=html.d.ts.map